=== debian/changelog ===
avr-evtd (1.7.7-6) unstable; urgency=medium

  * QA upload.

  [ Andreas Tille ]
  * Migrate packaging to Salsa
  * Add service file
    Closes: #1039133
  * Build options in Makefile
  * Standards-Version: 4.7.2 (routine-update)
  * No tab in license text (routine-update)
  * Do not depend from lsb-base
  * d/copyright: Syntax
  * d/watch: version=5
  * Pre-Depends: ${misc:Pre-Depends}

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply $(CC).
    Closes: #928884

 -- Andreas Tille <tille@debian.org>  Thu, 27 Nov 2025 15:47:27 +0100

avr-evtd (1.7.7-5) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #994655)

 -- Marcos Talau <talau@debian.org>  Mon, 14 Nov 2022 10:17:54 -0300

avr-evtd (1.7.7-4) unstable; urgency=medium

  * Include avr-evtd_1.7.7.orig.tar.gz from the archives.
    (Something got wrong with the pristine-tar stuff and the previous
    upload was rejected).

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 28 Sep 2020 19:23:31 -0300

avr-evtd (1.7.7-3) unstable; urgency=medium

  * Use my full name in as many places as I can find.
  * Update to use new upstream URL.
  * debian/copyright:
    + Rewrite in machine-readable format.
  * debian/patches:
    + Add patches to fix incorrect upstream info.
    + Add patch to fix FTBFS.
    + Fix missing argument.
    + Add patch to avoid clobbering CFLAGs by upstream's makefile.
    + Fix warnings to silence new GCCs.
  * debian/control:
    + Add VCS fields for packaging.
    + Add missing depends on lsb-base.
    + Declare compliacy with policy 3.9.3.
    + Normalize with wrap-and-sort.
    + Remove obsolete field DMUA: yes.
    + Declare compliancy with policy 4.1.5 (still some work to catch up).
    + Move to 'debhelper-compat (= 13)' (Closes: #965423)
    + Declare that root is not required.
  * debian/rules:
    + Substitute dh_clean -k by dh_prep.
    + Fix FTCBFS: Let dpkg's buildtools.mk supply $(CC).
      Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #928884)
    + Move arguments of dh_clean to debian/clean.
    + Drastically simplify to adapt and convert to dh sequencer.
  * debian/watch:
    + Point to github (and use version 4 of watch files).

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 28 Sep 2020 17:00:43 -0300

avr-evtd (1.7.7-2) unstable; urgency=low

  * Restrict build architectures to linux-any

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 21 May 2010 02:10:24 -0300

avr-evtd (1.7.7-1) unstable; urgency=low

  * Upstream version 1.7.7:
    + fix syntax error in the init script

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 21 May 2010 00:26:05 -0300

avr-evtd (1.7.6-1) unstable; urgency=low

  * New upstream release:
    + Code cleanup.
  * Update Standards-Version to 3.8.4 (no changes).
  * Minor cleanup of the rules file.
  * Convert to source format "3.0 (quilt)"

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 20 May 2010 05:09:09 -0300

avr-evtd (1.7.5-3) unstable; urgency=low

  * debian/rules:
    + call dh_installinit with levels that match the headers of the
      initscript.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 15 Sep 2009 03:37:20 -0300

avr-evtd (1.7.5-2) unstable; urgency=low

  * Sanitize the runlevels of the init script. Really Closes: #541380.
      (Tks Petter Reinholdtsen)

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 14 Sep 2009 19:21:44 -0300

avr-evtd (1.7.5-1) unstable; urgency=low

  * New upstream release: fixes some brown-paper bag bugs.
  * debian/control:
    + updated to Standards-Version 3.8.3 (no changes required).
  * debian/watch:
    + remove useless comments.

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 28 Aug 2009 05:51:32 -0300

avr-evtd (1.7.4-1) unstable; urgency=low

  * New upstream release.
    + Fixes the runlevels of the init script. Closes: #541380.
      (Tks Petter Reinholdtsen)
  * debian/copyright: update my copyright.
  * debian/control:
    + included comment (allowed by policy).
    + updated the long description a little.
    + updated to Standards-Version 3.8.2 (no changes required).
  * debian/dirs: change avr_evtd to avr-evtd.
  * debian/rules:
    + change avr_evtd to avr-evtd.
    + remove some comments.
    + ship upstream changelog.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 18 Aug 2009 16:24:08 -0300

avr-evtd (1.7.3-2) unstable; urgency=low

  * copyright: list that I am upstream too.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 30 Sep 2008 17:08:08 -0300

avr-evtd (1.7.3-1) unstable; urgency=low

  * New upstream release.
  * control: included DM-Upload-Allowed field, since I am a DM now.
  * watch: modify to the way that I will use for new releases.
  * copyright: list that I am upstream too.

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 26 Sep 2008 14:05:15 -0300

avr-evtd (1.7.3~svn24-1) unstable; urgency=low

  * New upstream version (I'm now upstream).
  * New configuration file which doesn't shutdown the Kuro automatically.
  * Still keeping in the quilt things, as I may use them sometimes.

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 19 Sep 2008 01:39:37 -0300

avr-evtd (1.7.2-1) unstable; urgency=low

  * Initial release (Closes: #497882)
  * avr_evtd.8: fixed the section and the date of the manpage.
  * avr_evtd.8: used a spell-checker to fix some broken English.
  * avr_evtd.8: capitalized the name of the program/page.
  * avr_evtd.8: re-formatted the file for lines shorter than 80 columns.
  * avr_evtd.c: fix verification of return of the open function.
  * avr_evtd.c: close a file descriptor to avoid leaking open files.
  * control: upgraded standards version to 3.8.0. No changes required.
  * control: build depends on quilt, for patch management.
  * debian/patches: created directory for use with quilt
  * init.d: LBS-ize the file and cleaned it a bit.
  * init.d: add support to force-reload.
  * rules: use -Os instead of -O2 (Thanks Charles Plessy).
  * copyright: use machine-parseable format (Thanks Charles Plessy).

