=== debian/control ===
Source: avr-evtd
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/avr-evtd
Vcs-Git: https://salsa.debian.org/debian/avr-evtd.git
Homepage: https://github.com/rbrito/avr-evtd

Package: avr-evtd
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: AVR watchdog daemon for Linkstation/Kuroboxes
 avr-evtd is a simple and small user space interface to the Linkstation
 AVR micro-controller. It doesn't have a lot of special features, but
 it's main task is to provide 'keep-alive' messages to the Linkstation's
 on-board AVR device.
 .
 This device controls/monitors the fan, various LEDs, timed power up and
 two buttons. This daemon provides the necessary initialisation to the
 device and also stimulates the LEDs depending on various fault
 conditions. It also monitors a power button (located at the front) and
 a reset button (located at the rear).
