=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildtools.mk
TARGETDIR=$(CURDIR)/debian/avr-evtd

%:
	dh $@

override_dh_auto_clean:
	echo "Ignore upstream clean target"

override_dh_auto_install:
	cp -l Install/avr-evtd.init debian/avr-evtd.init
	cp -l Changelog.old Changelog
	install -m 644  Install/avr-evtd.config $(TARGETDIR)/etc/default/avr-evtd

override_dh_fixperms:
	dh_fixperms
	chmod -x $(TARGETDIR)/etc/avr-evtd/emergency-eth0
