=== debian/watch ===
Version: 5

Template: Github
Owner: rbrito
Project: avr-evtd
